#Makefile for Basic - Haines Stuff
#note add -pg to CFLAGS and CC for profiling

objects = clip.o displayview.o drawable.o face.o facelist.o index.o \
	  light.o matrix.o mymalloc.o object.o point.o \
	  polygon.o surface.o tree.o vertex.o view.o roomdata.o convert.o \
	  special.o

CFLAGS = 
CC= /official/gnu/bin/gcc
COMPILE.c =  ${CC} ${CFLAGS} ${CPPFLAGS} -c


shadows : $(objects)
	$(CC) -Bstatic  $(objects) -lXmu -lX11 -lm -o shadows

$(objects) : device.h
$(objects) : face.h
$(objects) : view.h
